%define version 0.2
%define rev 09122012
%define major 1
%define libname %mklibname %{name} %{major}
%define subrel 1

Summary:	2D vector-based animation environment
Name:		tupi
Version:	%{version}
Release:	%mkrel -c %{rev} 2
License:	GPLv3
Url:		http://www.maefloresta.com/
Group:		Graphics/Editors and Converters
Source0:	http://www.maefloresta.com/portal/files/%{name}-%{version}-%{rev}.tar.bz2
Patch0:		tupi-0.2-mga-fix_ffmpeg_1.0.1_build.patch
Patch1:		tupi-0.2-git-fix_launcher_xml.patch
Patch2:		tupi-0.2-09122012-mga-fix_crash_russian_locale.patch
BuildRequires:	qt4-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	ruby
BuildRequires:	aspell-devel
BuildRequires:	libquazip-devel
Requires:	%{libname} = %{version}

%description
A design and authoring tool for digital artists interested in 2D Animation.

%package -n %{libname}
Summary:	Shared libraries for tupi
Group:		Development/C++
Requires:	%{name} = %{version}

%description -n %{libname}
Shared libraries for tupi 2D animation tool.

%prep
%setup -q -c -n %{name}-%{rev}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
#No configure macro call because this is a custom configure script, 
#not an autotools one.
./configure  --prefix=%{_prefix} \
		--libdir=%{_libdir}
%qmake_qt4
%make

%install
%makeinstall_std 
#Manually create the .qm russian translation file to fix crash on bug #10235
#related to patch file #2
lrelease src/shell/data/translations/%{name}_ru.ts
%{__install} -D -p -m 0644 src/shell/data/translations/%{name}_ru.qm %{buildroot}%{_datadir}/%{name}/data/translations

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/*
%{_datadir}/%{name}/*
%doc %{_mandir}/man1/%{name}.1.xz

%files -n %{libname}
%{_libdir}/tupi/*



%changelog
* Sat Sep 28 2013 juancho <juancho> 0.2-0.09122012.2.1.mga3
+ Revision: 488124
- Added patch tupi-0.2-git-fix_launcher_xml.patch to fix bug #10640: Fix laucher xml file.
- Added patch tupi-0.2-09122012-mga-fix_crash_russian_locale.patch to fix bug #10235: Crash with russian locale.

* Mon Jan 14 2013 umeabot <umeabot> 0.2-0.09122012.2.mga3
+ Revision: 384842
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Tue Jan 01 2013 juancho <juancho> 0.2-0.09122012.1.mga3
+ Revision: 337076
- Added patch to fix build against ffmpeg 1.0.1
- Fixed mkrel
- imported package tupi

